> For the complete documentation index, see [llms.txt](https://docs.rocketfuel.inc/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rocketfuel.inc/developer-guides/api-reference/payins/custom-ui-integration/cryptocurrencies-listing.md).

# Cryptocurrencies listing

RKFL supports 'N' numbers of cryptocurrencies for crypto wallet payments. A merchant can configure which cryptocurrencies will display on his payment page.&#x20;

The RKFL supports a faster payment mechanism for a few of the cryptocurrencies. The API returns these cryptocurrencies with a key "fasterConfirmation: true" that helps to display an icon on the UI. At the rocketfuel plugins, RKFL-hosted checkout page, and iFame a "rocket" icon is displayed to indicate the faster payment cryptocurrencies. See the attached screenshot of the idea of showing a "rocket" icon in the cryptocurrency list.&#x20;

This API returns the merchant's enabled exchanges list, ex: in the below screenshot, the merchant "Hush Puppies" has enabled three exchanges (Coinbase, BinanceUs, and Kraken) to display on his page.

![](/files/r2UCDO4O9rNCNJCL8EJQ)

<mark style="color:blue;">`GET`</mark> `/currencies?amount={cart_total}&currency=USD&merchant_id={merchant_id}&include_merchant=1`

Only include `include_merchant` and `merchant_id` query paramaters if you wish to filter list by selected cryptocurrencies.\
\
To select cryptocurrencies, visit the [settings page](broken://spaces/fHQ9KraQxfbb088JTCbe/pages/fP1GRK0qWTcDeJruRE6u) on  your portal.

#### Headers

| Name                                            | Type   | Description                      |
| ----------------------------------------------- | ------ | -------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | "Bearer" + merchant access token |
| Content-Type                                    | String |                                  |

{% tabs %}
{% tab title="200: OK Success" %}

```javascript
{
  "ok": true,
  "result": [
    {
      "logo": "https://rocketfuel-assets.s3.amazonaws.com/assets/coins/doge.svg",
      "mobileLogo": "https://rocketfuel-assets.s3.amazonaws.com/assets/coins/mobile/currencies/doge.png",
      "id": "DOGE",
      "fullTitle": "DogeCoin",
      "decimals": 8,
      "currentRate": "0.05266249166666666667",
      "symbol": "",
      "isPayment": true,
      "isFiat": false,
      "fiatEquivalent": null,
      "sort": 1,
      "isEnabled": true,
      "isStableCoin": false,
      "isTopCoin": false,
      "network": "dogecoin:%%address%%?amount=%%amount%%",
      "fasterConfirmation": true
    },
    {
      "logo": "https://rocketfuel-assets.s3.amazonaws.com/assets/coins/eth.svg",
      "mobileLogo": "https://rocketfuel-assets.s3.amazonaws.com/assets/coins/mobile/currencies/eth.png",
      "id": "ETH",
      "fullTitle": "Ethereum",
      "decimals": 8,
      "currentRate": "854.620833325",
      "symbol": "",
      "isPayment": true,
      "isFiat": false,
      "fiatEquivalent": null,
      "sort": 2,
      "isEnabled": true,
      "isStableCoin": false,
      "isTopCoin": false,
      "network": "ethereum:%%address%%?amount=%%amount%%&value=%%amount%%",
      "fasterConfirmation": true
    },
    {
      "logo": "https://rocketfuel-assets.s3.amazonaws.com/assets/coins/ltc.svg",
      "mobileLogo": "https://rocketfuel-assets.s3.amazonaws.com/assets/coins/mobile/currencies/ltc.png",
      "id": "LTC",
      "fullTitle": "Litecoin",
      "decimals": 8,
      "currentRate": "42.13333333333333333333",
      "symbol": "",
      "isPayment": true,
      "isFiat": false,
      "fiatEquivalent": null,
      "sort": 3,
      "isEnabled": true,
      "isStableCoin": false,
      "isTopCoin": false,
      "network": "litecoin:%%address%%?amount=%%amount%%",
      "fasterConfirmation": true
    },
    {
      "logo": "https://rocketfuel-assets.s3.amazonaws.com/assets/coins/usdc.svg",
      "mobileLogo": "https://rocketfuel-assets.s3.amazonaws.com/assets/coins/mobile/currencies/usdc.png",
      "id": "USDC",
      "fullTitle": "USDC",
      "decimals": 6,
      "currentRate": "0.83333333333333333333",
      "symbol": "",
      "isPayment": true,
      "isFiat": false,
      "fiatEquivalent": "USD",
      "sort": 4,
      "isEnabled": true,
      "isStableCoin": false,
      "isTopCoin": false,
      "network": "usdc:%%address%%?amount=%%amount%%",
      "fasterConfirmation": true
    },
    {
      "logo": "https://rocketfuel-assets.s3.amazonaws.com/assets/coins/btc.svg",
      "mobileLogo": "https://rocketfuel-assets.s3.amazonaws.com/assets/coins/mobile/currencies/btc.png",
      "id": "BTC",
      "fullTitle": "Bitcoin",
      "decimals": 8,
      "currentRate": "15932.89999999166666666667",
      "symbol": "",
      "isPayment": true,
      "isFiat": false,
      "fiatEquivalent": null,
      "sort": 5,
      "isEnabled": true,
      "isStableCoin": false,
      "isTopCoin": false,
      "network": "bitcoin:%%address%%?amount=%%amount%%",
      "fasterConfirmation": true
    },
    {
      "logo": "https://rocketfuel-assets.s3.amazonaws.com/assets/coins/usdt.svg",
      "mobileLogo": "https://rocketfuel-assets.s3.amazonaws.com/assets/coins/mobile/currencies/usdt.png",
      "id": "USDT",
      "fullTitle": "Tether",
      "decimals": 6,
      "currentRate": "0.8322125",
      "symbol": "",
      "isPayment": true,
      "isFiat": false,
      "fiatEquivalent": null,
      "sort": null,
      "isEnabled": true,
      "isStableCoin": false,
      "isTopCoin": false,
      "network": "",
      "fasterConfirmation": true
    },
    {
      "logo": "https://rocketfuel-assets.s3.amazonaws.com/assets/coins/shib.svg",
      "mobileLogo": "https://rocketfuel-assets.s3.amazonaws.com/assets/coins/mobile/currencies/shib.png",
      "id": "SHIB",
      "fullTitle": "SHIB",
      "decimals": 8,
      "currentRate": "0.00000815833333333333",
      "symbol": "",
      "isPayment": true,
      "isFiat": false,
      "fiatEquivalent": null,
      "sort": null,
      "isEnabled": true,
      "isStableCoin": false,
      "isTopCoin": false,
      "network": "shiba:%%address%%?amount=%%amount%%",
      "fasterConfirmation": true
    },
    {
      "logo": "https://rocketfuel-assets.s3.amazonaws.com/assets/coins/dash.svg",
      "mobileLogo": "https://rocketfuel-assets.s3.amazonaws.com/assets/coins/mobile/currencies/dash.png",
      "id": "DASH",
      "fullTitle": "Dash",
      "decimals": 8,
      "currentRate": "34.60416666666666666667",
      "symbol": "",
      "isPayment": true,
      "isFiat": false,
      "fiatEquivalent": null,
      "sort": null,
      "isEnabled": true,
      "isStableCoin": false,
      "isTopCoin": false,
      "network": "dash:%%address%%?amount=%%amount%%",
      "fasterConfirmation": true
    },
    {
      "logo": "https://rocketfuel-assets.s3.amazonaws.com/assets/coins/wluna.svg",
      "mobileLogo": "https://rocketfuel-assets.s3.amazonaws.com/assets/coins/mobile/currencies/wluna.png",
      "id": "WLUNA",
      "fullTitle": "WLUNA",
      "decimals": 8,
      "currentRate": "0.00010071666666666667",
      "symbol": "",
      "isPayment": true,
      "isFiat": false,
      "fiatEquivalent": null,
      "sort": null,
      "isEnabled": true,
      "isStableCoin": false,
      "isTopCoin": false,
      "network": "",
      "fasterConfirmation": true
    },
    {
      "logo": "https://rocketfuel-assets.s3.amazonaws.com/assets/coins/ust.svg",
      "mobileLogo": "https://rocketfuel-assets.s3.amazonaws.com/assets/coins/mobile/currencies/ust.png",
      "id": "UST",
      "fullTitle": "UST",
      "decimals": 8,
      "currentRate": "0.04031583333333333333",
      "symbol": "",
      "isPayment": true,
      "isFiat": false,
      "fiatEquivalent": null,
      "sort": null,
      "isEnabled": true,
      "isStableCoin": false,
      "isTopCoin": false,
      "network": "",
      "fasterConfirmation": true
    },
    {
      "logo": "https://rocketfuel-assets.s3.amazonaws.com/assets/coins/cgld.svg",
      "mobileLogo": "https://rocketfuel-assets.s3.amazonaws.com/assets/coins/mobile/currencies/cgld.png",
      "id": "CGLD",
      "fullTitle": "CGLD",
      "decimals": 8,
      "currentRate": "0.69",
      "symbol": "",
      "isPayment": true,
      "isFiat": false,
      "fiatEquivalent": null,
      "sort": null,
      "isEnabled": true,
      "isStableCoin": false,
      "isTopCoin": false,
      "network": "",
      "fasterConfirmation": false
    },
    {
      "logo": "https://rocketfuel-assets.s3.amazonaws.com/assets/coins/xrp.svg",
      "mobileLogo": "https://rocketfuel-assets.s3.amazonaws.com/assets/coins/mobile/currencies/xrp.png",
      "id": "XRP",
      "fullTitle": "Ripple",
      "decimals": 6,
      "currentRate": "0.258751775",
      "symbol": "",
      "isPayment": true,
      "isFiat": false,
      "fiatEquivalent": null,
      "sort": null,
      "isEnabled": true,
      "isStableCoin": false,
      "isTopCoin": false,
      "network": "ripple:%%address%%?amount=%%amount%%",
      "fasterConfirmation": false
    },
    {
      "logo": "https://rocketfuel-assets.s3.amazonaws.com/assets/coins/stx.svg",
      "mobileLogo": "https://rocketfuel-assets.s3.amazonaws.com/assets/coins/mobile/currencies/stx.png",
      "id": "STX",
      "fullTitle": "Stox",
      "decimals": 6,
      "currentRate": "0.32116666666666666667",
      "symbol": "",
      "isPayment": true,
      "isFiat": false,
      "fiatEquivalent": null,
      "sort": null,
      "isEnabled": true,
      "isStableCoin": false,
      "isTopCoin": false,
      "network": "",
      "fasterConfirmation": false
    },
    {
      "logo": "https://rocketfuel-assets.s3.amazonaws.com/assets/coins/req.svg",
      "mobileLogo": "https://rocketfuel-assets.s3.amazonaws.com/assets/coins/mobile/currencies/req.png",
      "id": "REQ",
      "fullTitle": "Request Network",
      "decimals": 8,
      "currentRate": "0.10279165833333333333",
      "symbol": "",
      "isPayment": true,
      "isFiat": false,
      "fiatEquivalent": null,
      "sort": null,
      "isEnabled": true,
      "isStableCoin": false,
      "isTopCoin": false,
      "network": "",
      "fasterConfirmation": false
    },
    {
      "logo": "https://rocketfuel-assets.s3.amazonaws.com/assets/coins/gala.svg",
      "mobileLogo": "https://rocketfuel-assets.s3.amazonaws.com/assets/coins/mobile/currencies/gala.png",
      "id": "GALA",
      "fullTitle": "GALA",
      "decimals": 8,
      "currentRate": "0.04323333333333333333",
      "symbol": "",
      "isPayment": true,
      "isFiat": false,
      "fiatEquivalent": null,
      "sort": null,
      "isEnabled": true,
      "isStableCoin": false,
      "isTopCoin": false,
      "network": "",
      "fasterConfirmation": false
    }
  ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.rocketfuel.inc/developer-guides/api-reference/payins/custom-ui-integration/cryptocurrencies-listing.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
